tigase.form

## Class Field

- java.lang.Object
- - tigase.form.Field

- All Implemented Interfaces:
    Comparable<Field>

      public class Field
      extends Object
      implements Comparable<Field>

  Created: 2007-05-27 10:56:06

  Author:
    bmalkow

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Field.FieldType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Field(Element fieldElement)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Field` | `cloneShalow()`
    `int` | `compareTo(Field o)`
    `static Field` | `fieldBoolean(String var, Boolean value, String label)`
    `static Field` | `fieldFixed(String value)`
    `static Field` | `fieldHidden(String var, String value)`
    `static Field` | `fieldJidMulti(String var, String[] values, String label)`
    `static Field` | `fieldJidSingle(String var, String value, String label)`
    `static Field` | `fieldListMulti(String var, String[] values, String label, String[] optionsLabel, String[] optionsValue)`
    `static Field` | `fieldListSingle(String var, String value, String label, String[] optionsLabel, String[] optionsValue)`
    `static Field` | `fieldTextMulti(String var, String[] values, String label)`
    `static Field` | `fieldTextMulti(String var, String value, String label)`
    `static Field` | `fieldTextPrivate(String var, String value, String label)`
    `static Field` | `fieldTextSingle(String var, String value, String label)`
    `static Boolean` | `getAsBoolean(Field f)`
    `String` | `getDescription()`
    `Element` | `getElement()`
    `Element` | `getElement(boolean type, boolean label)`
    `String` | `getLabel()`
    `String[]` | `getOptionLabels()`
    `String[]` | `getOptionValues()`
    `Field.FieldType` | `getType()`
    `String` | `getValue()`
    `String[]` | `getValues()`
    `String` | `getVar()`
    `boolean` | `isRequired()`
    `static void` | `main(String[] args)`
    `void` | `setDescription(String description)`
    `void` | `setLabel(String label)`
    `void` | `setOptionLabels(String[] optionLabels)`
    `void` | `setOptionValues(String[] optionValues)`
    `void` | `setRequired(boolean required)`
    `void` | `setType(Field.FieldType type)`
    `void` | `setValues(String[] values)`
    `void` | `setVar(String var)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Field

          public Field(Element fieldElement)

  - ### Method Detail

    - #### fieldBoolean

          public static Field fieldBoolean(String var,
                                           Boolean value,
                                           String label)

    - #### fieldFixed

          public static Field fieldFixed(String value)

    - #### fieldHidden

          public static Field fieldHidden(String var,
                                          String value)

    - #### fieldJidMulti

          public static Field fieldJidMulti(String var,
                                            String[] values,
                                            String label)

    - #### fieldJidSingle

          public static Field fieldJidSingle(String var,
                                             String value,
                                             String label)

    - #### fieldListMulti

          public static Field fieldListMulti(String var,
                                             String[] values,
                                             String label,
                                             String[] optionsLabel,
                                             String[] optionsValue)

    - #### fieldListSingle

          public static Field fieldListSingle(String var,
                                              String value,
                                              String label,
                                              String[] optionsLabel,
                                              String[] optionsValue)

    - #### fieldTextMulti

          public static Field fieldTextMulti(String var,
                                             String value,
                                             String label)

    - #### fieldTextMulti

          public static Field fieldTextMulti(String var,
                                             String[] values,
                                             String label)

    - #### fieldTextPrivate

          public static Field fieldTextPrivate(String var,
                                               String value,
                                               String label)

    - #### fieldTextSingle

          public static Field fieldTextSingle(String var,
                                              String value,
                                              String label)

    - #### getAsBoolean

          public static Boolean getAsBoolean(Field f)

    - #### main

          public static void main(String[] args)

    - #### compareTo

          public int compareTo(Field o)

      Specified by:
        `compareTo` in interface `Comparable<Field>`

    - #### cloneShalow

          public Field cloneShalow()

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription(String description)

    - #### getElement

          public Element getElement()

    - #### getElement

          public Element getElement(boolean type,
                                    boolean label)

    - #### getLabel

          public String getLabel()

    - #### setLabel

          public void setLabel(String label)

    - #### getOptionLabels

          public String[] getOptionLabels()

    - #### setOptionLabels

          public void setOptionLabels(String[] optionLabels)

    - #### getOptionValues

          public String[] getOptionValues()

    - #### setOptionValues

          public void setOptionValues(String[] optionValues)

    - #### getType

          public Field.FieldType getType()

    - #### setType

          public void setType(Field.FieldType type)

    - #### getValue

          public String getValue()

    - #### getValues

          public String[] getValues()

    - #### setValues

          public void setValues(String[] values)

    - #### getVar

          public String getVar()

    - #### setVar

          public void setVar(String var)

    - #### isRequired

          public boolean isRequired()

    - #### setRequired

          public void setRequired(boolean required)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2004–2021 "Tigase, Inc.". All rights reserved.